> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Smart Source



## OpenAPI

````yaml /openapi-v1.json get /api/v1/smart-sources/{smart_source_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/smart-sources/{smart_source_id}:
    get:
      tags:
        - Smart Sources
      summary: Get Smart Source
      operationId: core_api_v1_controllers_smart_sources_get_smart_source
      parameters:
        - in: path
          name: smart_source_id
          schema:
            format: uuid
            title: Smart Source Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartSourceDetailSchema'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SmartSourceDetailSchema:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        custom_data_source_id:
          format: uuid
          title: Custom Data Source Id
          type: string
        name:
          title: Name
          type: string
        description:
          title: Description
          type: string
        source_type:
          $ref: '#/components/schemas/SmartSourceTypeEnum'
        is_active:
          title: Is Active
          type: boolean
        external_id_field:
          title: External Id Field
          type: string
        api:
          anyOf:
            - $ref: '#/components/schemas/APIConfigSchema'
            - type: 'null'
        s3:
          anyOf:
            - $ref: '#/components/schemas/S3ConfigSchema'
            - type: 'null'
        sharepoint:
          anyOf:
            - $ref: '#/components/schemas/SharePointConfigSchema'
            - type: 'null'
        schedule:
          $ref: '#/components/schemas/ScheduleSchema'
        sync_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Status
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        last_auto_sync_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Auto Sync At
        next_sync_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Next Sync At
        last_error:
          title: Last Error
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - custom_data_source_id
        - name
        - description
        - source_type
        - is_active
        - external_id_field
        - api
        - s3
        - sharepoint
        - schedule
        - sync_status
        - last_synced_at
        - last_auto_sync_at
        - next_sync_at
        - last_error
        - created_at
        - updated_at
      title: SmartSourceDetailSchema
      type: object
    SmartSourceTypeEnum:
      enum:
        - api
        - s3
        - sharepoint
      title: SmartSourceTypeEnum
      type: string
    APIConfigSchema:
      properties:
        api_url:
          title: Api Url
          type: string
        http_method:
          default: GET
          title: Http Method
          type: string
        request_headers:
          additionalProperties:
            type: string
          title: Request Headers
          type: object
        request_body_template:
          additionalProperties: true
          title: Request Body Template
          type: object
        auth_type:
          allOf:
            - $ref: '#/components/schemas/SmartSourceAuthTypeEnum'
          default: none
        auth_credential:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Credential
        auth_header_name:
          default: ''
          title: Auth Header Name
          type: string
        response_data_path:
          default: ''
          title: Response Data Path
          type: string
        next_page_path:
          default: ''
          title: Next Page Path
          type: string
        field_mappings:
          items:
            $ref: '#/components/schemas/FieldMapping'
          title: Field Mappings
          type: array
      required:
        - api_url
      title: APIConfigSchema
      type: object
    S3ConfigSchema:
      properties:
        s3_bucket:
          title: S3 Bucket
          type: string
        s3_prefix:
          default: ''
          title: S3 Prefix
          type: string
        s3_region:
          default: eu-central-1
          title: S3 Region
          type: string
        s3_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Access Key
        s3_secret_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Secret Key
        s3_file_pattern:
          default: '*'
          title: S3 File Pattern
          type: string
        extraction_prompt_override:
          default: ''
          title: Extraction Prompt Override
          type: string
      required:
        - s3_bucket
      title: S3ConfigSchema
      type: object
    SharePointConfigSchema:
      properties:
        sharepoint_tenant_id:
          default: ''
          title: Sharepoint Tenant Id
          type: string
        sharepoint_client_id:
          default: ''
          title: Sharepoint Client Id
          type: string
        sharepoint_client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Sharepoint Client Secret
        sharepoint_site_id:
          default: ''
          title: Sharepoint Site Id
          type: string
        sharepoint_drive_id:
          default: ''
          title: Sharepoint Drive Id
          type: string
        sharepoint_folder_id:
          default: ''
          title: Sharepoint Folder Id
          type: string
        sharepoint_folder_drive_id:
          default: ''
          title: Sharepoint Folder Drive Id
          type: string
        sharepoint_folder_path:
          default: ''
          title: Sharepoint Folder Path
          type: string
        sharepoint_file_pattern:
          default: '*'
          title: Sharepoint File Pattern
          type: string
        extraction_prompt_override:
          default: ''
          title: Extraction Prompt Override
          type: string
      title: SharePointConfigSchema
      type: object
    ScheduleSchema:
      properties:
        auto_sync_enabled:
          default: false
          title: Auto Sync Enabled
          type: boolean
        schedule_type:
          anyOf:
            - $ref: '#/components/schemas/ScheduleTypeEnum'
            - type: 'null'
        schedule_minutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schedule Minutes
        schedule_time:
          anyOf:
            - format: time
              type: string
            - type: 'null'
          title: Schedule Time
        schedule_days:
          items:
            type: integer
          title: Schedule Days
          type: array
        schedule_timezone:
          default: UTC
          title: Schedule Timezone
          type: string
      title: ScheduleSchema
      type: object
    SmartSourceAuthTypeEnum:
      enum:
        - none
        - api_key
        - bearer
      title: SmartSourceAuthTypeEnum
      type: string
    FieldMapping:
      properties:
        source_field:
          description: Dot-notation path in the API record.
          title: Source Field
          type: string
        target_column:
          description: Column name on the target smart table.
          title: Target Column
          type: string
        transform:
          anyOf:
            - type: string
            - type: 'null'
          description: 'Optional transform: ''str'', ''int'', ''float'', ''bool''.'
          title: Transform
      required:
        - source_field
        - target_column
      title: FieldMapping
      type: object
    ScheduleTypeEnum:
      enum:
        - minutes
        - daily
        - weekly
      title: ScheduleTypeEnum
      type: string
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````